\name{IlluminaHumanMethylation450kDESIGN}
\alias{IlluminaHumanMethylation450kDESIGN}
\title{Probe design type for HumanMethylation450k arrays}
\description{
 IlluminaHumanMethylation450kDESIGN provides a mapping from probe ID to the 
 design type of that probe.  On 27k arrays, all probes had the same chemistry
 in the sense that paired allelic probes always fluoresced in the same channel.
 On the newer 450k arrays, there are probes of the 27k design (Design I), but 
 there are also probes which are extended base-by-base with either Cy5 or Cy3
 fluorophores, leading to a differential fluorescence in the two channels. This
 provides a dense method of assaying methylation at closely spaced CpG bases, 
 but also requires some accomodation in preprocessing and detection calls.  By
 using a mapped database table to keep track of which probes are Design I vs II,
 the 'methylumi' package is able to quickly preprocess and later normalize the
 two chemistries in a fashion most appropriate to each.
}
\details{
  The map returns either a 'I' or 'II' depending on probe chemistry.
  
  Mappings were based on data provided by: Illumina
  http://Illumina.com
  Downloaded 2010-Oct-10
  
}

\examples{
        x <- IlluminaHumanMethylation450kDESIGN
        xx <- as.list(x)[1:10]
        if(length(xx) > 0) {
          # Get the values for the first five probes
          xx[1:5]
        }
}
\keyword{datasets}

