\name{IlluminaHumanMethylation450kGENEBODY}
\alias{IlluminaHumanMethylation450kGENEBODY}
\title{Determine whether a probe maps into a gene body}
\description{
 IlluminaHumanMethylation450kGENEBODY is an R object that maps onto a Boolean
 column in the probe design table indicating whether the target sequence maps
 onto the gene bodies of any of the associated transcripts.
}
\details{
  Value is a simple TRUE or FALSE for each probe.
  
  Mappings were based on data provided by: Illumina
  http://Illumina.com
  Downloaded 19-Sep-2009
  
}

\examples{
        x <- IlluminaHumanMethylation450kGENEBODY
        # Get the probe identifiers that are mapped
        mapped_probes <- mappedkeys(x)
        # Convert to a list
        xx <- as.list(x[mapped_probes])
        if(length(xx) > 0) {
          # Get the values for the first five probes
          xx[1:5]
        }
}
\keyword{datasets}

