\name{IlluminaHumanMethylation450k_get27k}
\alias{IlluminaHumanMethylation450k_get27k}

\title{Retrieve 27k probe IDs by design and/or color channel for processing}

\description{
  Retrieve Illumina IDs of probes on the 450k chip which were on the 27k chip 
}

\usage{
  IlluminaHumanMethylation450k_get27k(design=NULL, color=NULL)
}

\arguments{
  \item{design}{
    Optional probe design type. If NULL, both will be returned in a list.
  }
  \item{color}{
    Optional color for design I.  If NULL, both will be returned as a list.
  }
}

\details{
  \code{IlluminaHumanMethylation450k_get27k} simply queries a VIEW in the 
  SQLite database accompanying this package to obtain probe addresses en masse.
}

\value{
  If no arguments are provided, a list containing a data.frame for design II
  probes along with a list of two data frames for design I probes, one for each
  color channel.  If arguments are provided, the value depends on their status.
}

\seealso{
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbconn}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbfile}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbschema}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbInfo}}
}

\examples{

  ## Get both channels and both designs worth of 27k probes from the 450k chip
  IlluminaHumanMethylation450k_get27k()

  ## Get only the red channel's worth of design I probes common to the 27k array
  IlluminaHumanMethylation450k_get27k('I','Red')

}

\keyword{utilities}
\keyword{datasets}
