\name{IlluminaHumanMethylation450k_getProbes}
\alias{IlluminaHumanMethylation450k_getProbes}

\title{Retrieve probe addresses by design and/or color channel for processing}

\description{
  A convenience function to retrieve probe addresses by design or color channel.
}

\usage{
  IlluminaHumanMethylation450k_getProbes(design=NULL, color=NULL)
}

\arguments{
  \item{design}{
    Optional probe design type. If NULL, both will be returned in a list.
  }
  \item{color}{
    Optional color for design I.  If NULL, both will be returned as a list.
  }
}

\details{
  \code{IlluminaHumanMethylation450k_getProbes} simply queries a VIEW in the 
  SQLite database accompanying this package to obtain probe addresses en masse.
}

\value{
  If no arguments are provided, a list containing a data.frame for design II
  probes along with a list of two data frames for design I probes, one for each
  color channel.  If arguments are provided, the value depends on their status.
}

\seealso{
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbconn}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbfile}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbschema}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbInfo}}
}

\examples{

  ## Get both channels' worth of probes for processing IDAT files
  IlluminaHumanMethylation450k_getProbes()

  ## Get only the red channel's worth of design I probes
  IlluminaHumanMethylation450k_getProbes('I','Red')

}

\keyword{utilities}
\keyword{datasets}
